Page MenuHomePhabricator

logic to import rt data into phabricator
Closed, ResolvedPublic

Details

Reference
fl563

Related Objects

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:46 AM
flimport set Reference to fl563.
Dzahn added a subscriber: Dzahn.Oct 23 2014, 8:19 PM

any way to help here? what is needed next? the ticket title seems a bit broad.

Dzahn removed a subscriber: Dzahn.Oct 30 2014, 12:05 AM

As for logic: how are the ticket numbers being converted?
Considering that bug 1 must become task 1, and that RT is still in the 4 digits, maybe it would be enough to make RT(X) become T(X+90000). Then the phabricator-native tasks could start at 100001.

Qgil added a comment.Nov 2 2014, 8:11 PM

Bug 1 will not become T1, as explained in T857 and https://lists.wikimedia.org/pipermail/wikitech-l/2014-October/079251.html.

RT and Bugzilla tasks will be migrated starting by the first task number available in phabricator.wikimedia.org, and will not attempt to keep any resemblance with their original ticket numbers.

Dzahn added a subscriber: Dzahn.Nov 3 2014, 6:46 PM
In T376#17859, @Qgil wrote:

RT and Bugzilla tasks will be migrated starting by the first task number available in phabricator.wikimedia.org, and will not attempt to keep any resemblance with their original ticket numbers.

Yet, we are attempting to redirect the old URLs to the new ticket numbers by keeping a bunch of redirect rules that map old to new numbers?

Qgil closed this task as Resolved.Dec 18 2014, 9:32 AM
Qgil assigned this task to chasemp.

The import from RT to Phabricator was done successfully. Resolving.